#-*- coding:utf-8 -*-

class Protocol:
    def __init__(self, name):
        self.Name = name
        self.RcvCnt = 0
        self.CsErrCnt = 0
        self.RcvValidCnt = 0
    def GetName(self):
        if len(self.Name) > 0 : return self.Name
        return 'Unknown'
    def CheckRcv(self):
        self.RcvCnt += 1
        if self.RcvCnt > 100000000 : self.RcvCnt = 10000000
    def Count(self):
        return self.RcvCnt
    def ResetRcv(self):
        self.RcvCnt = 0
    def CheckCsErr(self):
        self.CsErrCnt += 1
        if self.CsErrCnt > 100000000 : self.CsErrCnt = 10000000
    def CsErr(self):
        return self.CsErrCnt
    def ResetRcvValid(self):
        self.RcvValidCnt = 15
    def CheckRcvValid(self):
        self.RcvValidCnt -= 1
    def RcvValid(self):
        return self.RcvValidCnt > 1