import time
from threading import Thread
import asyncio;
# 웹 소켓 모듈을 선언한다.
import websockets;
import socket


class WebServer:
    def __init__(self):
        self.start_server = None
        self.user_idx = 0
        w1 = Thread(target=self.Worker)
        w1.start()
    def Start(self):
        self.start_server = websockets.serve(self.Accept, "192.168.1.3", 52100);  
        asyncio.get_event_loop().run_until_complete(self.start_server);
        asyncio.get_event_loop().run_forever(); 
    async def Accept(self, websocket, path):
        self.user_idx += 1
        idx = self.user_idx
        try:
            while True:
                data = await websocket.recv();
                print("{} ) receive : {}".format(idx, data));
                # await websocket.send("echo : " + data);
                await websocket.send(data);
        except: 
            print("disconected.") 
    def Worker(self):
        while True:
            time.sleep(1)
            if self.start_server != None:
                # if self.start_server.connected: print(str(time.time()))
                print(str(time.time()))


Ws = WebServer()
 
 
def test0():
    # Test 0 - Repeat message.
    while True:
        time.sleep(0.3)
        # if start_server != None:
            # if start_server.connected: print(str(time.time()))
        print(str(time.time()))
        

def main():   
    
    f = open('/home/pi/acu/www/assets/js/kns-acu.js','w')
    f.write("var webSocket; ")
    f.write("function ConnectWebSocket(){webSocket=new WebSocket('ws://192.168.1.3:52100');} ")
    f.close()
    
    print(socket.gethostname())

    Ws.Start()

    # 웹 소켓 서버 생성.호스트는 localhost에 port는 9998로 생성한다.     

        

if __name__ == "__main__":
	main()