import json
import time 
from threading import Thread
import asyncio;
import websockets
from Util import *
from System import *
from threading import Thread





class WebServer:
    def __init__(self):
        self.start_server = None
        self.user_idx = 0
        w1 = Thread(target=self.Worker)
        w1.start()
    def Start(self):
        self.start_server = websockets.serve(self.Accept,Util.GetIpAddress(), 52100);  
        asyncio.get_event_loop().run_until_complete(self.start_server);
        asyncio.get_event_loop().run_forever(); 
    async def Accept(self, websocket, path):
        from Project import pj 
        self.user_idx += 1
        idx = self.user_idx
        try:
            while True:
                tmp = {}
                data = await websocket.recv();
                jdat = json.loads(data) 
                
                # Log for webserver
                if pj.Conf['Log']['Filter']['WebServer']['All']==1: System.Log(__name__,data);
               
                # Request the burst date of PCU.
                if jdat['Type']=="Request" and jdat['ID']==0x0001: 
                    tmp = {"Type":"Response", "ID":0x0001, "Dat":[pj.Ant.GetJson(),]}
                    await websocket.send(json.dumps(tmp)); 
                    
                # Send to PCU command
                elif jdat['Type']=="Request" and jdat['ID']==0x0003: 
                    # tmp = {"Type":"Response", "ID":0x003, "Dat":[pj.Conf,]}
                    cmd = jdat['Dat'][0]
                    cmd = Util.AppendCRC(cmd)
                    pj.PcuComm.Send(cmd)
                    thread = Thread(target = PcuAckChecker, args = ([200,Util.CrcIdx], ))
                    thread.start()
                    thread.join()
                    # print("3, {}".format(Util.CrcStatus))
                    if Util.CrcStatus: 
                        tmp = {"Type":"Response", "ID":0x0003, "Dat":[Util.CrcMessage,]}
                        await websocket.send(json.dumps(tmp)); 
                    else :
                        tmp = {"Type":"Response", "ID":0xE003, "Dat":[]}
                        await websocket.send(json.dumps(tmp)); 
                    
                # Load the configuration 
                elif jdat['Type']=="Request" and jdat['ID']==0x0FFE: 
                    tmp = {"Type":"Response", "ID":0x0FFE, "Dat":[pj.Conf,]}
                    await websocket.send(json.dumps(tmp)); 
                # Save the configuration 
                elif jdat['Type']=="Request" and jdat['ID']==0x0FFF: 
                    pj.Conf = jdat['Dat'][0]
                    System.SaveConf()
                    tmp = {"Type":"Response", "ID":0x0FFF, "Dat":[]}
                    await websocket.send(json.dumps(tmp)); 
                else: print(data)
                    
                #Json append test
                
               
                
                #Json append test
                # await websocket.send(tmp); 
                
                
                # print(pj.Ant.GetJson())
        except Exception as e: 
            print(e)
            print("disconected.") 
    def Worker(self):
        from Project import pj 
        while True:
            time.sleep(1)
            # if self.start_server != None:
                # if self.start_server.connected: print(str(time.time()))
                # print("WebServer - "+str(time.time()))
                # print(pj.Ant.GetJson())

 