/*
* hhwang
* 20200204
 */
 
 
var listSchType=["AGC THD", "DVB C/N THD", "DVB CLOCK", "RSSD THD", "RSSD C/N THD", "EXT LOCK"];
var listTrkType=["DVB AGC", "DVB C/N", "RSSD", "RSSD C/N"];
 
var Ant = { 
	Operation:{
		Driving:0,
		Step:0,
		Mode:0,
		SearchingType:0, SearchingTypeString:"",
		SearchingThreshold:0,
		TrackingType:0, TrackingTypeString:"",
		
		//SearchingMethodToString : function() { return listSchType[this.SearchingType]+((this.SearchingType==2||this.SearchingType==5)?"":(' ('+this.SearchingThreshold+')'));}
		SearchingMethodToString : function() { return "*"+this.SearchingTypeString+((this.SearchingType==2||this.SearchingType==5)?"":(' ('+this.SearchingThreshold+')'));},
		TrackingMethodToString : function() { return "*"+this.TrackingTypeString;}
	},
	Signal:{
		NimAGC:0,
		NimQuality:0, 
		Rssd:0,
		RssdCn:0,
	},
	Gps:{
		Status:0, StatusString:"", /*In gps of antenna */
		External:0, ExternalToString : function() { return this.External==1?"Actived":"None";},
		Latitude:0, LatitudeToDegree : function() { return this.Latitude+'&#176'; },
		Longitude:0, LongitudeToDegree : function() { return this.Longitude+'&#176'; },
		Speed:0,
		TrackAngle:0, TrackAngleToDegree : function() { return this.TrackAngle+'&#176'; },
	},
	Channel:{
		ID:0,
		Name:0,
		Position:0, PositionString:"", PositionToDegree : function() { return this.Position+'&#176'; },
		RxBand:0, RxBandString:"",
		RxPolarity:0, RxPolarityString:"",
		TxBand:0, TxBandString:"",
		TxPolarity:0, TxPolarityString:"",
		TRxPolarity:0, TRxPolarityString:"",
		SearchingType:0, SearchingTypeString:"",
		TrackingType:0, TrackingTypeString:"",
	},
	Modem:{
		Connection:0,
		Class:0,
		SupportAbs:0,
		AbsProtocolType:0,
		Recv:{
			ID:0,
			Name:0,
			Position:0, PositionString:"", PositionToDegree : function() { return this.Position+'&#176'; },
			RxBand:0, RxBandString:"",
			RxPolarity:0, RxPolarityString:"",
			TxBand:0, TxBandString:"",
			TxPolarity:0, TxPolarityString:"",
			TRxPolarity:0, TRxPolarityString:"",
			SearchingType:0, SearchingTypeString:"",
			TrackingType:0, TrackingTypeString:"", 
			Threshold:0,
			SkewTrimmingAngle:0,
			BucLoFrequency:0,
			LnbLowLoFrequency:0,
			LnbHighLoFrequency:0,
			LnbBandSelection:0,
			TransportFrequency:0,
			TransportSymbolRate:0,
			NID:0,
			RollOff:0,
		}
	},
	Power:{
		Ant:0,
		Buc:0,
		AntRev : function() { return this.Ant?0:1; }, 
		BucRev : function() { return this.Buc?0:1; }
	},
	UpdateStatus : function(arr) {
		Ant.Operation.Driving = parseInt(arr[0]);
		Ant.Operation.Step = parseInt(arr[96]);
		Ant.Operation.Mode = parseInt(arr[97]);
		Ant.Operation.SearchingType = parseInt(arr[100]);
		Ant.Operation.SearchingThreshold = parseInt(arr[77]);
		Ant.Operation.SearchingTypeString = arr[75]; 
		Ant.Operation.TrackingTypeString = arr[76];  
		Ant.Power.Ant = parseInt(arr[98]);
		Ant.Power.Buc = parseInt(arr[99]);
		
		Ant.Signal.NimAGC = parseInt(arr[15]);
		Ant.Signal.NimQuality = parseInt(arr[16]);
		Ant.Signal.Rssd = parseInt(arr[17]);
		Ant.Signal.RssdCn = parseInt(arr[18]);
		
		Ant.Channel.ID = parseInt(arr[19]); 
		Ant.Channel.Name = arr[20];
		Ant.Channel.Position = parseFloat(arr[21]);
		Ant.Channel.PositionString = arr[21];
		Ant.Channel.RxBandString = arr[22];
		Ant.Channel.RxPolarityString = arr[23];
		Ant.Channel.TxBandString = arr[78];
		Ant.Channel.TxPolarityString = arr[80];
		Ant.Channel.TRxPolarityString = arr[24];
		Ant.Channel.SearchingTypeString = arr[25];
		Ant.Channel.TrackingTypeString = arr[26];		
		
		Ant.Gps.StatusString = arr[31]; 
		Ant.Gps.External = parseInt(arr[87]); 
		Ant.Gps.Latitude = parseFloat(arr[32]); 
		Ant.Gps.Longitude = parseFloat(arr[33]); 
		Ant.Gps.Speed = parseFloat(arr[34]); 
		Ant.Gps.TrackAngle = parseFloat(arr[35]); 
	},
 }
  
  var OpProg = { 
	Step:0, StepFunc:0, StepPre:0,
	Initialize : function(AntOp){ 
		if(AntOp.Driving==0) this.Step=0;
		else{
			if(AntOp.Step==0) this.Step=1, this.StepPre=1, this.StepFunc = 1; 
			else if(AntOp.Step==1) this.Step=1, this.StepPre=0, this.StepFunc = 1;
			else if(AntOp.Step==3){
				this.Step=3, this.StepPre=0; 
				if(AntOp.Mode>0&&AntOp.Mode<4) this.StepFunc=1;
				else if(AntOp.Mode==4) this.StepFunc = 3;
				else if(AntOp.Mode==5) this.StepFunc = 4;
				else if(AntOp.Mode==6) this.StepFunc = 6;
			}
			else {
				this.Step=2, this.StepPre=0;
				if(AntOp.Step==2) this.StepFunc = 1;
				else if(AntOp.Step==4) this.StepFunc = 2;
				else if(AntOp.Step==5) this.StepFunc = 3;
				else if(AntOp.Step==6) this.StepFunc = 4;
				else if(AntOp.Step==7) this.StepFunc = 5;
				else if(AntOp.Step==8) this.StepFunc = 6;
			}
				
		}
	}
 }

var staticFormat=['Static','AHRS'];
var listDetect=['None','Detected'];
var listOnOff=['Off','On'];	
var listOnOffDirect=['Off <font style="font-size:10px;vertical-align:text-top;">&#9654;</font> On','On <font style="font-size:10px;vertical-align:text-top;">&#9654;</font> Off'];
var listSkewMode=['Automatic','Manual','Set to Peak','Peak Reset'];
var listOperMode=['Standby Mode','Manual Point','Manual Search','Auto Search'];

 
//TCP, Send data
function SendEvent(id,e,vArr){
	if(e>0){
		
		req="async_e"+id;
		req+=_event(e);
		for(var i=0;i<vArr.length;i++) req+=_append(vArr[i]);
		
		req += ","+guid()+","; //Exception for IE.(IE11)
		
		var xhp = new XMLHttpRequest();  
		xhp.responseText = "";
		xhp.addEventListener("error", transferFailed);
		xhp.onreadystatechange = function() {  
		if (this.readyState == 4 && this.status == 200) {
		
			ProcRecv(this.responseText);	
			if(!_start_flag)_start_flag=true;
		}};
		xhp.open("GET", "assets/php/request.php?req="+req, true);
		xhp.send();
	}
}
function transferFailed(evt){if(!_check_err()){_add_err();_noti(3, 'Message transfer failed');_('StatConnect').innerHTML='Failed sync.'}}

var PcuErrorForMK=[
	/*00*/ "No Error",
	/*01*/ "Level driving error",
	/*02*/ "Cross driving error",
	/*03*/ "Yaw driving error",
	/*04*/ "Cross encoder error",
	/*05*/ "Yaw encoder error",
	/*06*/ "Sensor cage home-index error",
	/*07*/ "Yaw home-index error",
	/*08*/ "Skew home-index error",
	/*09*/ "IMU in error",
	/*10*/ "GPS error",
	/*11*/ "FCC miss control error",
	/*12*/ "Searching fail",
	/*13*/ "Wrong searching parameter(bad satellite longitude)",
	/*14*/ "CPLD chip failure to read data",
	/*15*/ "DVB NID or Orbit check error",
	/*16*/ "Reserved",
	/*17*/ "RF-MRU => No detect",
	/*18*/ "RF-LNB => No signal",
	/*19*/ "RF => Out of LNB voltage",
	/*20*/ "RF => Out of LNB tone",
	/*21*/ "RF => Out of LNBH fault",
	/*22*/ "RF Dual-Band Controller communication error",
	/*23*/ "Reserved",
	/*24*/ "Reserved",
	/*25*/ "Reserved",
	/*26*/ "Reserved",
	/*27*/ "Reserved",
	/*28*/ "Reserved",
	/*29*/ "Reserved",
	/*30*/ "Reserved",
	/*31*/ "Reserved",
	/*32*/ "Reserved"
];

var PcuErrorForC=[ /* also supported OTM. */ 
	/*00*/ "No Error",
	/*01*/ "Skew motor driver or Limit error",
	/*02*/ "Tilt motor driver or Limit error",
	/*03*/ "Level motor driver or Limit error",
	/*04*/ "Yaw motor driver or Limit error",
	/*05*/ "Skew encoder error",
	/*06*/ "Tilt encoder error",
	/*07*/ "Level encoder error",
	/*08*/ "Yaw encoder error",
	/*09*/ "Skew contorl error",
	/*10*/ "Tilt contorl error",
	/*11*/ "Level contorl error",
	/*12*/ "Yaw contorl error",
	/*13*/ "RF NIM module error(no data)",
	/*14*/ "RF no signal(bad LNB or no power to LNB or cable issue)", 
	/*15*/ "LNB power supply voltage is out of range",
	/*16*/ "LNB Tone control is wrong",
	/*17*/ "GPS module error(no valid signal in 20min after power on)",
	/*18*/ "FCC TX mute caused by out of traking",
	/*19*/ "Searching failure",
	/*20*/ "Wrong searching parameter(bad satellite longitude)",
	/*21*/ "Level angle over range",
	/*22*/ "Tilt angle over range",
	/*23*/ "No AHRS data from inertial sensor unit",
	/*24*/ "No Sub IMU",
	/*25*/ "Acceleration exceeds 0.5G limit",
	/*26*/ "Reserved",
	/*27*/ "CPLD chip failure to read data",
	/*28*/ "DVB NID or Orbit check error",
	/*29*/ "Reserved",
	/*30*/ "Reserved",
	/*31*/ "Reserved",
	/*32*/ "Reserved"
];

var PcuErrorForM4M=[ /* also supported OTM. */ 
	/*00*/ "No Error",
	/*01*/ "Skew motor driver or Limit error",
	/*02*/ "Tilt motor driver or Limit error",
	/*03*/ "Level motor driver or Limit error",
	/*04*/ "Yaw motor driver or Limit error",
	/*05*/ "Skew encoder error",
	/*06*/ "Tilt encoder error",
	/*07*/ "Level encoder error",
	/*08*/ "Yaw encoder error",
	/*09*/ "Skew contorl error",
	/*10*/ "Tilt contorl error",
	/*11*/ "Level contorl error",
	/*12*/ "Yaw contorl error",
	/*13*/ "RF NIM module error(no data)",
	/*14*/ "RF no signal(bad LNB or no power to LNB or cable issue)", 
	/*15*/ "LNB power supply voltage is out of range",
	/*16*/ "Reserved",
	/*17*/ "GPS module error(no valid signal in 20min after power on)",
	/*18*/ "FCC TX mute caused by out of traking",
	/*19*/ "Searching failure",
	/*20*/ "Wrong searching parameter(bad satellite longitude)",
	/*21*/ "Level angle over range",
	/*22*/ "Tilt angle over range",
	/*23*/ "No AHRS data from inertial sensor unit",
	/*24*/ "Reserved",
	/*25*/ "Reserved",
	/*26*/ "Reserved",
	/*27*/ "CPLD chip failure to read data",
	/*28*/ "DVB NID or Orbit check error",
	/*29*/ "Reserved",
	/*30*/ "Moisture level yellow warning",
	/*31*/ "Moisture level red warning",
	/*32*/ "Water detected-> shut down"
];

var AcuError=[
	/*00*/ "No Error",
	/*01*/ "Reserved",
	/*02*/ "Can't find PCU(Antenna)",
	/*03*/ "Reserved",
	/*04*/ "Reserved",
	/*05*/ "Reserved",
	/*06*/ "Reserved",
	/*07*/ "Reserved",
	/*08*/ "MNC port restarting",
	/*09*/ "ABS port restarting",
	/*10*/ "TTP port restarting",
	/*11*/ "Reserved",
	/*12*/ "Reserved",
	/*13*/ "Reserved",
	/*14*/ "Reserved",
	/*15*/ "Reserved",
	/*16*/ "Reserved",
	/*17*/ "Reserved",
	/*18*/ "Reserved",
	/*19*/ "Reserved",
	/*20*/ "Reserved",
	/*21*/ "Reserved",
	/*22*/ "Reserved",
	/*23*/ "Reserved",
	/*24*/ "Activated FakeGPS mode",
	/*25*/ "Reserved",
	/*26*/ "Reserved",
	/*27*/ "Reserved",
	/*28*/ "Reserved",
	/*29*/ "Reserved",
	/*30*/ "Reserved",
	/*31*/ "Reserved",
	/*32*/ "Reserved"
];

var FunctionCode=[
	/*00*/ "M_Z04_0",
	/*01*/ "M_Z04_1",
	/*02*/ "M_Z04_2",
	/*03*/ "M_Z04_3",
	/*04*/ "M_Z06_0",
	/*05*/ "M_Z06_1",
	/*06*/ "M_Z06_2",
	/*07*/ "M_Z06_3",
	/*08*/ "M_Z07_0",
	/*09*/ "M_Z07_1",
	/*10*/ "M_Z07_2",
	/*11*/ "M_Z07_3",
	/*12*/ "M_Z08_0",
	/*13*/ "M_Z08_1",
	/*14*/ "M_Z08_2",
	/*15*/ "M_Z08_3",
	/*16*/ "M_Z10_0",
	/*17*/ "M_Z10_1",
	/*18*/ "M_Z10_2",
	/*19*/ "M_Z10_3",
	/*20*/ "M_Z12_0",
	/*21*/ "M_Z12_1",
	/*22*/ "M_Z12_2",
	/*23*/ "M_Z12_3",
	/*24*/ "M_Z15_0",
	/*25*/ "M_Z15_1",
	/*26*/ "M_Z15_2",
	/*27*/ "M_Z15_3",
	/*28*/ "M_Z18_0",
	/*29*/ "M_Z18_1",
	/*30*/ "M_Z18_2",
	/*31*/ "M_Z18_3",
	/*32*/ "M_Z22_0",
	/*33*/ "M_Z22_1",
	/*34*/ "M_Z22_2",
	/*35*/ "M_Z22_3"
];