/*!
 =========================================================
 * KNS - acu-fig.js
 =========================================================
*/

var _DEBUG_OPTION_=false; 
var _start_flag = false;	 
var _transfer_err_cnt = false;	
var timeType = 0;
var _ant_type = 0;
var _ant_name = "Unknown";
var staticFormatIndex=0;

function _check_err(){return _transfer_err_cnt>3};
function _add_err(){_transfer_err_cnt++;};
function _reset_err(){_transfer_err_cnt=0;};
function _(p){return document.getElementById(p);}; 
function _print(p){if(_DEBUG_OPTION_)console.log(p);};
function _event(p){return "*"+p+"?"};
function _append(str){return str+","};
function _appendval(id){return _(id).value+","};
function _appendtxt(id){return _(id).innerHTML+","};
function _appendCaret(str){return str+" <b class='caret'></b>"};
function _endln(){return "\n"};
var noti_types=['info','success','warning','danger'];
function _noti(type,msg){var d = new Date();$(document).ready(function(){$.notify({message: '- '+msg+' ('+d.getFullYear()+'-'+ (d.getMonth()+1)+'-'+ d.getDate()+' '+ d.getHours()+':'+ d.getMinutes()+':'+ d.getSeconds()+')'},{type: noti_types[type],timer: 1000});});}

function IntToHex(dat){ var tmp ="0x",len = 8; hex=parseInt(dat).toString(16).toUpperCase();if(hex.length!=len){ for(i=0;i<(len-hex.length);i++) tmp+="0";} return tmp+hex; }
	

function guid() {
  function s4() {
    return Math.floor((1 + Math.random()) * 0x10000)
      .toString(16)
      .substring(1);
  }
  return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
    s4() + '-' + s4() + s4() + s4();
}

var current_guid="";
function ReadEventLog(){
	/* old
	$.getJSON('/feed/eLogs.json', function(data) {
		try{
			var obj = data;//JSON.parse(data);
			if(obj==null) return;
		}
		catch(e)
		{
			console.log("[Error] ReadEventLog: " + e);
			return;
		}
		var userdata = data;	
		if(current_guid!=userdata.guid)
		{
			if(current_guid!=""){
				var noti_type='success';
				if(userdata.infos[userdata.infos.length-1].name.substring(2,3)=='E') noti_type='warning';
				$(document).ready(function(){
					$.notify({
						icon: 'ti-dashboard',
						message: userdata.infos[userdata.infos.length-1].content

					},{
						type: noti_type,
						timer: 1000
					});
				});
			}
			
			current_guid=userdata.guid;
		}
	});
	*/
	//new 20200828
	
	$.ajax({
		type: "POST",
		async: false,
		url:        "/feed/eLogs.json",
		dataType:   "json", 
		success:    function(data){
		
			try{
				var obj = data;//JSON.parse(data);
				if(obj==null) return;
			}
			catch(e)
			{
				console.log("[Error] ReadEventLog: " + e);
				return;
			}
			var userdata = data;	
			if(current_guid!=userdata.guid)
			{
				if(current_guid!=""){
					var noti_type='success';
					if(userdata.infos[userdata.infos.length-1].name.substring(2,3)=='E') noti_type='warning';
					$(document).ready(function(){
						$.notify({
							icon: 'ti-dashboard',
							message: userdata.infos[userdata.infos.length-1].content

						},{
							type: noti_type,
							timer: 1000
						});
					});
				}
				
				current_guid=userdata.guid;
			}
		}
	});
} 


var PcuErrorTableData = "";
var AcuErrorTableData = "";

function DisplayLedOnly(param){
	
	try{ /* LED Status */
		SetLed("ledRun",param[0]);
		SetLed("ledTrack",param[1]);
		SetLed("ledLock0",param[3]);
		SetLed("ledLock1",param[57]);
		SetLed("ledStaticOn",param[4]);
		SetLed("ledTrackOn",param[5]);
		SetLed("ledSearchOn",param[6]);
		SetLed("ledTxOn",param[2]);
		SetLed("ledGPS",param[58]);
		SetLed("ledMnC",param[52]);
		SetLed("ledAbs",param[53]);
		SetLed("ledTtp",param[54]);
		SetLed("ledErrPcu",parseInt(param[9])>0?2:0);
		SetLed("ledErrAcu",parseInt(param[8])>0?2:0);
		SetLed("ledAsiPass",param[55]);
		SetLed("ledHdg",param[185]);
		
		/*
		var clrs = ["#808080", "#42a084", "#F3BB45","#f97500" ];	
		$('ledStaticOn').css('color', clrs[param[4]]);
		$('ledTrackOn').css('color', clrs[param[5]]);
		$('ledSearchOn').css('color', clrs[param[6]]);
		$('ledTxOn').css('color', clrs[param[2]]);
		*/
		
		if(param[140]=='1') $('.indicator-l').find('.functions').find('.tle').show(); else $('.indicator-l').find('.functions').find('.tle').hide();
		
	}catch(e){
		/* NOP */
	}
	
	try{ /* Antenna Model */
		_ant_type=param[64]; 
		_ant_name=param[65];
		
		var tmp_fc ="";
		if((_ant_type&0x10)==0x10){
			/*
			tmp_fc=FunctionCode[param[79]];
			 _("txtAntName").innerHTML=param[65]!="Unknown"?("<i class='ti-link' style='margin-right:8px;font-size:16px;'></i>"+param[65] +" ("+tmp_fc+")"):
																("<i class='ti-help-alt' style='margin-right:8px'></i>"+param[65]);
			*/
			var IsDualBand = (param[79]&0x10)>0;
			if(IsDualBand == true){
				_("txtAntName").innerHTML=param[65]!="Unknown"?("<i class='ti-link' style='padding:8px;font-size:15px;'></i>"+param[65])://+" (DualBand)"):
																("<i class='ti-help-alt' style='padding:8px;font-size:15px;'></i>"+param[65]);
			}else{
				_("txtAntName").innerHTML=param[65]!="Unknown"?("<i class='ti-link' style='padding:8px;font-size:15px;'></i>"+param[65]):
																("<i class='ti-help-alt' style='padding:8px;font-size:15px;'></i>"+param[65]);
			}
			
		}else{
			var symbol = param[65].substring(0,1);
			var model_val=(param[79]&0x07), model_type = 3;
			switch(model_val){
				case 0: model_type=3; break;
				case 1: model_type=4; break;
				case 2: model_type=5; break;
				case 3: model_type=7; break;
			}
			var band_type = "KU";
			var band_val = (param[79]&0x14)>>3;
			switch(model_val){
				case 0: band_type = "KU"; break;
				case 1: band_type = "KA"; break;
			}
			tmp_fc = symbol+model_type+band_type;
			//console.log(param[79] + " / " + tmp_fc);
			 _("txtAntName").innerHTML=param[65]!="Unknown"?("<i class='ti-link' style='padding:8px;font-size:15px;'></i>"+param[65]):
																("<i class='ti-help-alt' style='padding:8px;font-size:15px;'></i>"+param[65]);
		}
	}catch(e){
		/* NOP */
	}
	
	try{ 
	/* Antenna & ACU Error ***********************************************************/
	/*
			AntTypeUnknown = 0x0000,
			AntTypeAuto = 0x00A0,
			AntTypeOneArm = 0x0010,
			AntTypeMK4 = 0x0010,
			AntTypeMK3M = 0x4010,
			AntType10ULVM = 0x4010,
			AntTypeTwoArms = 0x0020,
			AntTypeCSeries = 0x0020,
			AntTypeC4 = 0x0020,
			AntTypeC5 = 0x0021,
			AntTypeT4 = 0x0020,
			AntTypeESeries = 0x0020,
			AntTypeM4M = 0x4020,
			AntTypeM4 = 0x0120,
			AntTypeTwoArmsWithoutABS = 0x0040, 
			AntTypeKSeries = 0x0040,
	*/
		//_ant_type = 0x4020; 
		var pcu_err_code= param[9];//
		var acu_err_code= param[8];//0x80000000;

		switch(parseInt(_ant_type)){
			case 0x0010: PcuError = PcuErrorForMK; break;
			case 0x4010: PcuError = PcuErrorForMK; break;
			case 0x0020: PcuError = PcuErrorForC; break;
			case 0x0021: PcuError = PcuErrorForC; break;
			case 0x4020: PcuError = PcuErrorForM4M; break;
			case 0x0040: PcuError = PcuErrorForC; break;
			default: PcuError = PcuErrorForMK; break; 
		}
		
		//console.log((pcu_err_code))
		//console.log(IntToHex(pcu_err_code))
		
		
		var Error = "Error Code: "+IntToHex(pcu_err_code)+"\n";
		/*
		for(var i=0;i<=33;i++){
			if((1<<i&parseInt(pcu_err_code))>0){
				Error+=(i+1)+') '+PcuError[i+1] +"\n";
			}
		}
		*/
		_('tipErrPcu').title=Error;
		
		PcuErrorTableData="";
		for(var i=0;i<16;i++){
			
			PcuErrorTableData +="<tr>";
			var idx = i;
			if((1<<idx&parseInt(pcu_err_code))!=0){
				PcuErrorTableData +="<td style='background:#fdb77b'>"+(idx+1)+"</td>"+"<td style='background:#fdb77b'>"+PcuError[(idx+1)]+"</td>";
			}
			else{
				PcuErrorTableData+="<td>"+(idx+1)+"</td>"+"<td>"+PcuError[(idx+1)]+"</td>";
			}
			
			idx += 16;
			if((1<<idx&parseInt(pcu_err_code))!=0){
				PcuErrorTableData +="<td style='background:#fdb77b'>"+(idx+1)+"</td>"+"<td style='background:#fdb77b'>"+PcuError[(idx+1)]+"</td>";
			}
			else{
				PcuErrorTableData+="<td>"+(idx+1)+"</td>"+"<td>"+PcuError[(idx+1)]+"</td>";
			}
			
			PcuErrorTableData +="</tr>";
			
			//console.log(idx);
			//console.log(1<<idx&parseInt(pcu_err_code));
		}
		
		
		Error = "Error Code: "+acu_err_code+"\n";
		for(var i=0;i<=33;i++){
			if((1<<i&parseInt(acu_err_code))>0){
				Error+=(i+1)+') '+AcuError[i+1] +"\n";
			}
		}
		_('tipErrAcu').title=Error;
		
		AcuErrorTableData="";
		for(var i=0;i<16;i++){
			
			AcuErrorTableData +="<tr>";
			var idx = i;
			if((1<<idx&parseInt(acu_err_code))!=0){
				AcuErrorTableData +="<td style='background:#fdb77b'>"+(idx+1)+"</td>"+"<td style='background:#fdb77b'>"+AcuError[(idx+1)]+"</td>";
			}
			else{
				AcuErrorTableData+="<td>"+(idx+1)+"</td>"+"<td>"+AcuError[(idx+1)]+"</td>";
			}
			
			idx += 16;
			if((1<<idx&parseInt(acu_err_code))!=0){
				AcuErrorTableData +="<td style='background:#fdb77b'>"+(idx+1)+"</td>"+"<td style='background:#fdb77b'>"+AcuError[(idx+1)]+"</td>";
			}
			else{
				AcuErrorTableData+="<td>"+(idx+1)+"</td>"+"<td>"+AcuError[(idx+1)]+"</td>";
			}
			
			AcuErrorTableData +="</tr>";
		}
		
		_('tbPcuError').innerHTML = PcuErrorTableData;	
		_('tbAcuError').innerHTML = AcuErrorTableData;	
		_('mdPcuErrorCode').innerHTML = "Error Code: "+pcu_err_code;	
		_('mdAcuErrorCode').innerHTML = "Error Code: "+acu_err_code;
	}catch(e){
		/* NOP */
	}	
	
	
	try{ /* FC Code */
		//Web UI - Static Text Format
		// - MK4 => Static
		// - C Serise => AHBS
		staticFormatIndex=((_ant_type&0x10)!=0x10)?1:0;
		
		//Function Code
		if(param[79]==0x10){
			_('txtFCode').style.hidden = false;
			//_('txtFCode').innerHTML = "DualBand (FCx10)";
		}else{
			_('txtFCode').style.hidden = true;
		}
	}catch(e){
		/* NOP */
	}
	
}

function DisplayLed(param){
	
	DisplayLedOnly(param);
	
	//PCU Update
	if(param[60]=='1')
	{
		window.location.href = "update"
	}
}


function ResetJogActive(el){
	//Remove class
	if (document.getElementById(el).classList.contains('jog-active')){
		document.getElementById(el).classList.remove('jog-active');
	}
}

function SetJogActive(target,els){
	//Remove class
	ResetJogActive(els[0]);
	ResetJogActive(els[1]);
	ResetJogActive(els[2]);
	ResetJogActive(els[3]);
	//Set class
	if(target=='1'){
		document.getElementById(els[0]).classList.add('jog-active');
	}else if(target=='2'){
		document.getElementById(els[1]).classList.add('jog-active');
	}else if(target=='3'){
		document.getElementById(els[2]).classList.add('jog-active');
	}else if(target=='4'){
		document.getElementById(els[3]).classList.add('jog-active');
	}
}

//--------------------------------------------------------------------
//Time
function formatDateWithoutSec(date) {
  return date.getFullYear() + '-' + 
	(date.getMonth()<10?"0":"")+date.getMonth() + '-' + 
	(date.getDate()<10?"0":"")+date.getDate() + ' ' + 
	(date.getHours()<10?"0":"")+date.getHours() + ':' + 
	(date.getMinutes()<10?"0":"")+date.getMinutes() + ':';
}

function GetSelectedTime(datetime){
	
	if(timeType==0){
		var offset = new Date().getTimezoneOffset();
		
		var div_dt = datetime.split(" ");
		var date = div_dt[0].split("-");	
		var time = div_dt[1].split(":");
		var target = new Date(date[0],date[1],date[2],time[0],time[1]);
		var local = target.getTime()-(offset*60*1000);

		return formatDateWithoutSec(new Date(local))+time[2];
	}else{
		return datetime;
	}
}


//--------------------------------------------------------------------
//Error
var PcuError;

//Cover - Loading 
var ConnectionCnt = 0xFFFF;
function ResetConnection(){ConnectionCnt=0;}
function CheckConnection(idx){
	ConnectionCnt++;
	if(ConnectionCnt > idx){
		_('cover').style.display = 'block';
	}else{
		_('cover').style.display = 'none';
	}
}
 
var CwMsgFlag=false;
var CwMsgCnt=0;
var CwMsgSetCnt=0;
var CwMsgIntervalCnt=0;
var CwMsgVal=0;
var CwMsg="";
function SetCwMsg(msg,val){CwMsg=msg;CwMsgCnt=val;CwMsgSetCnt=val;CwMsgFlag=true;CwMsgVal=val;}
function DoCwMsg(interval){
	if(CwMsgFlag){
		if(_('cover').style.display=='none') _('cover').style.display = 'block';
		var temp = CwMsg + ' ... ' + CwMsgCnt + ' sec';
		//_('txtCwMsg').innerHTML= temp;
		_('txtCwMsg').innerHTML= CwMsg+ ' (Takes ' + CwMsgVal + ' sec.)';
	}else{
		CwMsgCnt=0;
		CwMsgSetCnt=0;
		return;
	}
		
	if(++CwMsgIntervalCnt>=interval) CwMsgCnt--, CwMsgIntervalCnt=0;

	if(CwMsgCnt<0 || (ConnectionCnt<2&((CwMsgSetCnt-CwMsgCnt)>2)))
	{
		CwMsgFlag=false;
		CwMsg="";
		_('txtCwMsg').innerHTML= "";
	}
}
 


function _status(id,msg)
{
	var d = new Date();
	_(id).innerHTML='<i class="ti-reload" ></i> '+msg+' ('+d.getFullYear()+'-'+ (d.getMonth()+1)+'-'+ d.getDate()+' '+ d.getHours()+':'+ d.getMinutes()+':'+ d.getSeconds()+')';
}
var syscon_cnt=0;
function _status_connect()
{
	try{
		syscon_cnt++;
		syscon_cnt=syscon_cnt%3;
		var temp=syscon_cnt==0?'.':syscon_cnt==1?'..':syscon_cnt==2?'...':'.';
		var d = new Date();
		_('StatConnect').innerHTML='Synced'+temp+' ('+d.getFullYear()+'-'+ (d.getMonth()+1)+'-'+ d.getDate()+' '+ d.getHours()+':'+ d.getMinutes()+':'+ d.getSeconds()+')';
	}catch(e){
		/* NOP */
	}
}

function ActivateLedIcon(id, val){
	var clrs = ["#808080", "#42a084", "#F3BB45","#f97500" ];	
	$('#'+id).css('color', clrs[val]);
}

function ActivateLedIconByClass(cfname, val){
	var clrs = ["#808080", "#42a084", "#F3BB45","#f97500" ];	
	$(cfname).css('color', clrs[val]);
}

function SetLed(el,val){
	ActivateLedIcon(el, val);
	/* old style, version < 0.786
	try{
		//Remove class
		if (document.getElementById(el).classList.contains('text-muted')){
			document.getElementById(el).classList.remove('text-muted');
		}else if(document.getElementById(el).classList.contains('text-success')){
			document.getElementById(el).classList.remove('text-success');
		}else if(document.getElementById(el).classList.contains('text-warning')){
			document.getElementById(el).classList.remove('text-warning');
		}
		//Set class
		if(val=='1'){
			document.getElementById(el).classList.add('text-success');
		}else if(val=='2'){
			document.getElementById(el).classList.add('text-warning');
		}else{
			document.getElementById(el).classList.add('text-muted');
		}
	}catch(e){
	}
	*/
}


function SetStaticFormat(idx, val)
{
	try{
		_("txtStaticFormat"+idx).innerHTML = staticFormat[val]; 
	}catch(e){
		/* NOP */
	}
}


/*!
 ==================================================================================================================
 * Paper Dashboard - v1.2.0
 ==================================================================================================================

*/

var fixedTop = false;
var transparent = true;
var navbar_initialized = false;
var mobile_menu_initialized = false;

$(document).ready(function(){
    window_width = $(window).width();

    // Init navigation toggle for small screens
    if(window_width <= 991){
        pd.initRightMenu();
    }

    //  Activate the tooltips
    $('[rel="tooltip"]').tooltip();

});

$(document).on('click', '.navbar-toggle', function(){
  $toggle = $(this);
  if(pd.misc.navbar_menu_visible == 1) {
    $('html').removeClass('nav-open');
    pd.misc.navbar_menu_visible = 0;
    $('#bodyClick').remove();
    setTimeout(function(){
      $toggle.removeClass('toggled');
    }, 400);
  } else {
    setTimeout(function(){
      $toggle.addClass('toggled');
    }, 430);

    div = '<div id="bodyClick"></div>';
    $(div).appendTo("body").click(function() {
      $('html').removeClass('nav-open');
      pd.misc.navbar_menu_visible = 0;
      $('#bodyClick').remove();
      setTimeout(function(){
        $toggle.removeClass('toggled');
      }, 400);
    });

    $('html').addClass('nav-open');
    pd.misc.navbar_menu_visible = 1;
  }
});

// activate collapse right menu when the windows is resized
$(window).resize(function(){
    if($(window).width() <= 991){
        pd.initRightMenu();
    }
});

pd = {
    misc:{
        navbar_menu_visible: 0
    },
    checkScrollForTransparentNavbar: debounce(function() {
        if($(document).scrollTop() > 381 ) {
            if(transparent) {
                transparent = false;
                $('.navbar-color-on-scroll').removeClass('navbar-transparent');
                $('.navbar-title').removeClass('hidden');
            }
        } else {
            if( !transparent ) {
                transparent = true;
                $('.navbar-color-on-scroll').addClass('navbar-transparent');
                $('.navbar-title').addClass('hidden');
            }
        }
    }),
    initRightMenu: debounce(function() {
        var $sidebar_wrapper = $('.sidebar-wrapper');
        var $sidebar = $('.sidebar');

        if (!mobile_menu_initialized) {
            var $navbar = $('nav').find('.navbar-collapse').children('.navbar-nav');

            mobile_menu_content = '';

            nav_content = $navbar.html();

            //nav_content = '<ul class="nav nav-mobile-menu">' + nav_content + '</ul>';

            $sidebar_nav = $sidebar_wrapper.find(' > .nav');

            // insert the navbar form before the sidebar list
            $sidebar.addClass('off-canvas-sidebar');
            $nav_content = $(nav_content);
            $nav_content.insertBefore($sidebar_nav);

            $(".sidebar-wrapper .dropdown .dropdown-menu > li > a").click(function(event) {
                event.stopPropagation();

            });

            // simulate resize so all the charts/maps will be redrawn
            window.dispatchEvent(new Event('resize'));

            mobile_menu_initialized = true;
        } else {
            if ($(window).width() > 991) {
                // reset all the additions that we made for the sidebar wrapper only if the screen is bigger than 991px
                $sidebar_wrapper.find('.nav-mobile-menu').remove();
                $sidebar.removeClass('off-canvas-sidebar');

                mobile_menu_initialized = false;
            }
        }
    }, 200)
}


// Returns a function, that, as long as it continues to be invoked, will not
// be triggered. The function will be called after it stops being called for
// N milliseconds. If `immediate` is passed, trigger the function on the
// leading edge, instead of the trailing.

function debounce(func, wait, immediate) {
	var timeout;
	return function() {
		var context = this, args = arguments;
		clearTimeout(timeout);
		timeout = setTimeout(function() {
			timeout = null;
			if (!immediate) func.apply(context, args);
		}, wait);
		if (immediate && !timeout) func.apply(context, args);
	};
};



// --------------------------------------------------------------------------------------
// *Override ----------------------------------------------------------------------------
// --------------------------------------------------------------------------------------

// Datetime -----------------------------------------------------------------------------
if (!Date.prototype.toISOString) {
  (function() {
  
	Date.prototype.toISOString = function() {
	  return this.getUTCFullYear() +
		'-' + pad(this.getUTCMonth() + 1) +
		'-' + pad(this.getUTCDate()) +
		'T' + pad(this.getUTCHours()) +
		':' + pad(this.getUTCMinutes()) +
		':' + pad(this.getUTCSeconds()) +
		'.' + (this.getUTCMilliseconds() / 1000).toFixed(3).slice(2, 5) +
		'Z';
	};

  }());
}
if (!Date.prototype.toUserDatetime) {
  (function() {

	Date.prototype.toUserDatetime = function() {
	  return  pad(this.getUTCMonth() + 1) +
		'/' + pad(this.getUTCDate()) +
		'/' + this.getUTCFullYear() + 
		' ' + pad(this.getUTCHours()) +
		':' + pad(this.getUTCMinutes()) +
		':' + pad(this.getUTCSeconds()) ; 
	};

  }());
}
if (!Date.prototype.toUserDate) {
  (function() {

	Date.prototype.toUserDate = function() {
	  return  pad(this.getUTCMonth() + 1) +
		'/' + pad(this.getUTCDate()) +
		'/' + this.getUTCFullYear(); 
	};

  }());
}
if (!Date.prototype.toUserTime) {
  (function() {

	Date.prototype.toUserTime = function() {
	  return  pad(this.getUTCHours()) +
		':' + pad(this.getUTCMinutes()) +
		':' + pad(this.getUTCSeconds()) ; 
	};

  }());
}
if (!Date.prototype.toUserGetTime) {
  (function() {

	Date.prototype.toUserGetTime = function() {
	  return  this.getUTCHours()*3600 + this.getUTCMinutes()*60 + this.getUTCSeconds(); 
	};

  }());
}




// --------------------------------------------------------------------------------------
// *Algorithm ---------------------------------------------------------------------------
// --------------------------------------------------------------------------------------

// Spline -------------------------------------------------------------------------------

	function cubic_spline(x, y, len, idx){
		var m,n,i;
		var h = [];
		var len_t = len /*t > trimed */
		var len_s = len - 1 /*s > section */
		m=len_t;
		n=m-1;
	   
		for(i=0;i<len_s;i++){ h[i]=x[i+1]-x[i]; }
		
		var a = []; //array to store the ai's
		var b = []; //array to store the bi's
		var c = []; //array to store the ci's
		var d = []; //array to store the di's
		var sig = [0,]; //array to store Si's
		var sigTemp = []; //array to store the Si's except S0 and Sn
		sig[n]=0;
		
		var tri = tridiagonalCubicSplineGen(n,h,tri,y)
		
		var res0 = gaussEliminationLS(n-1,n,tri,sigTemp);
		tri = res0.a;
		sigTemp = res0.x; 
	
		for(i=1;i<n;i++){ sig[i]=sigTemp[i-1]; }
		
		return cSCoeffCalc(n,h,sig,y,a,b,c,d);
	}
	
	
	function exe_cubic_spline(dat, len){
		var m,n,i;
		var x = dat.x, y = dat.y, h = [];
		var len_t = len /*t > trimed */
		var len_s = len - 1 /*s > section */
		m=len_t;
		n=m-1;
		
		 
	   
		for(i=0;i<len_s;i++){ h[i]=x[i+1]-x[i]; }
		
		var a = []; //array to store the ai's
		var b = []; //array to store the bi's
		var c = []; //array to store the ci's
		var d = []; //array to store the di's
		var sig = [0,]; //array to store Si's
		var sigTemp = []; //array to store the Si's except S0 and Sn
		sig[n]=0;
		
		var tri = tridiagonalCubicSplineGen(n,h,tri,y)
		
		//prvarMatrix(n-1,n,tri)
		
		var res0 = gaussEliminationLS(n-1,n,tri,sigTemp);
		tri = res0.a;
		sigTemp = res0.x;
	
		for(i=1;i<n;i++){ sig[i]=sigTemp[i-1]; }
		
		var res1 = cSCoeffCalc(n,h,sig,y,a,b,c,d);
		a = res1.a;
		b = res1.b;
		c = res1.c;
		d = res1.d;
		
		ChartData = { SeriesEl:[{name:"Elevation",data:[]},{name:"Elevation",data:[]}], SeriesAz:[{name:"Azimuth",data:[]}]  };
		for(i=0;i<n;i++){
			var message = String.format("P{0}(x) b/w [{1},{2}]\t= {3}*(x-{4})^3+{5}*(x-{6})^2+{7}*(x-{8})+{9}\n",i,x[i],x[i+1],a[i],x[i],b[i],x[i],c[i],x[i],d[i]);
		
			ChartData.SeriesEl[0].data.push({x: x[i],y: y[i]})
			for(j=0;j<20;j++){
				var p = x[i]+(((x[i+1]-x[i])/20)*j)
				var vt = spline(p,x[i],a[i],b[i],c[i],d[i])
				var vd = acceleration(p,x[i],a[i],b[i],c[i])
				
				ChartData.SeriesEl[1].data.push({x: p,y: vt.toFixed(2)})
				ChartData.SeriesAz[0].data.push({x: p,y: vd.toFixed(2)})
			}
			
			DrawApexChart(ChartData.SeriesEl,ChartData.SeriesAz);
		}
	}
	
	function spline(x,xd,a,b,c,d) {  
	
		var message = String.format("spl {10} = {0}*({1}-{2})^3+{3}*({4}-{5})^2+{6}*({7}-{8})+{9} \n",a,x,xd,b,x,xd,c,x,xd,d
		,a*Math.pow((x-xd),3)+b*Math.pow((x-xd),2)+c*(x-xd)+d
		);
			//console.log(message)
		return a*Math.pow((x-xd),3)+b*Math.pow((x-xd),2)+c*(x-xd)+d;
	}
	
	function acceleration(x,xd,a,b,c) { 
	
		
		//var message = String.format("dif {7} = {0}*3*({1}-{2})^2+{3}*2*({4}-{5})^1+{6} \n",a,x,xd,b,x,xd,c,a*3*Math.pow((x-xd),2)+b*2*(x-xd)+c);
			//console.log(message)
		//	console.log(((a*3)*Math.pow(((x-xd)*1.0),2)).toFixed(4))
		//	console.log((b*2*((x-xd)*1.0)).toFixed(4))
		//	console.log(c.toFixed(4))
		return ((a*3)*Math.pow((x-xd),2))+(b*2*(x-xd))+c;
	}
	
	function gaussEliminationLS(m, n, a, x)
	{
	
		var i,j,k;
		for(i=0;i<m-1;i++){
        /*
			//Partial Pivoting
			for(k=i+1;k<m;k++){
				//If diagonal element(absolute vallue) is smaller than any of the terms below it
				if(fabs(a[i][i])<fabs(a[k][i])){
					//Swap the rows
					for(j=0;j<n;j++){                
						 temp;
						temp=a[i][j];
						a[i][j]=a[k][j];
						a[k][j]=temp;
					}
				}
			}*/
			//Begin Gauss Elimination
			for(k=i+1;k<m;k++){
				  term=a[k][i]/ a[i][i];
				for(j=0;j<n;j++){
					a[k][j]=a[k][j]-term*a[i][j];
				}
			}
			 
		}
		//Begin Back-substitution
		for(i=m-1;i>=0;i--){
			x[i]=a[i][n-1];
			for(j=i+1;j<n-1;j++){
				x[i]=x[i]-a[i][j]*x[j];
			}
			x[i]=x[i]/a[i][i];
		}
		
		return {a:a,x:x};
	}
	
	function cSCoeffCalc(n, h, sig, y, a, b, c, d){
		var i;
		for(i=0;i<n;i++){
			d[i]=y[i];
			b[i]=sig[i]/2.0;
			a[i]=(sig[i+1]-sig[i])/(h[i]*6.0);
			c[i]=(y[i+1]-y[i])/h[i]-h[i]*(2*sig[i]+sig[i+1])/6.0;
		}
		
		return {a:a, b:b, c:c, d:d }
	}
	
	function tridiagonalCubicSplineGen(n, h, a, y){
		var i,j;
		a = Array.matrix(n, n, 0);
		for(i=0;i<(n-1);i++){
			a[i][i]=2*(h[i]+h[i+1]);
		}
		for(i=0;i<(n-2);i++){
			a[i][i+1]=h[i+1];
			a[i+1][i]=h[i+1];
		}
		for(i=1;i<n;i++){
			a[i-1][n-1]=(y[i+1]-y[i])*6/h[i]-(y[i]-y[i-1])*6/h[i-1];
		}		
		return a;
	} 
		
	function prvarMatrix(m, n, matrix){
		var i,j;
		for(i=0;i<m;i++){
			for(j=0;j<n;j++){
				console.log(matrix[i][j] + "  ");
			}
		} 
	}
	
	function copyMatrix(m, n, matrix1, matrix2){
		var i,j;
		for(i=0;i<m;i++){
			for(j=0;j<n;j++){
				matrix2[i][j]=matrix1[i][j];
			}
		} 
	}
	
	Array.matrix = function (m, n, initial) {
    var a, i, j, mat = [];
    for (i = 0; i < m; i += 1) {
        a = [];
        for (j = 0; j < n; j += 1) {
            a[j] = initial;
        }
        mat[i] = a;
    }
    return mat;
};


/* Notification */
var notif = { use:0, type:0, opt1:0, opt2:0 }
function IntToNoti(dat){ var tmp = notif;tmp.opt2 = (0x000000FF&dat),tmp.opt1 = (0x0000FF00&dat)>>8,tmp.type = (0x00FF0000&dat)>>16,tmp.use = (0xFF000000&dat)>>24;return tmp; }
function NotiToInt(dat){ return (dat.use<<24)+(dat.type<<16)+(dat.opt1<<8)+(dat.opt2); }
function IntToHex(dat){ var tmp ="0x",len = 8; hex=parseInt(dat).toString(16);if(hex.length!=len){ for(i=0;i<(len-hex.length);i++) tmp+="0";} return tmp+hex; }
	
function Notification(dat){

	//console.log(dat);  
	var moisture = IntToNoti(dat[130]);
	/* Moisture			-------------------------------*/
	$('.moisture').find('.container').eq(0).attr('hidden',true);
	$('.moisture').find('.container').eq(1).attr('hidden',true);
	$('.moisture').find('.container').eq(2).attr('hidden',true);
	if(moisture.use==1&&moisture.opt1<moisture.type){
		switch(moisture.type){
		case 1: $('.moisture').find('.container').eq(0).attr('hidden',false); break;
		case 2: $('.moisture').find('.container').eq(1).attr('hidden',false); break; 
		case 3: $('.moisture').find('.container').eq(2).attr('hidden',false); break;
		default : break;		
		}
	}
	//console.log(moisture);  
	
	
}


/* BUC Information */
function GetBucModelType(idx){
	var buc_model_type = ['Unknown','Revgo1','Revgo2','NJRC1','XMW1'];
	var i = parseInt(idx)
	switch(i){
		case 0: return buc_model_type[0]; return;
		case 1: return buc_model_type[1]; return;
		case 2: return buc_model_type[2]; return;
		case 10: return buc_model_type[3]; return;
		case 20: return buc_model_type[4]; return;
		default: return buc_model_type[0]; return;
	}
}
	
function BucMonitring(pas){				
	if(parseInt(pas[161])!=0){
		
		
		$('#ledBuc').show()
		$('.buc').find('td').eq(1).html('<div style="display:flex"><i class="fa fa-circle" style="margin:2px 5px;"></i><div>'+pas[151]+'&#176</div></div>')
		$('.buc').find('td').eq(1).find('i').css("color",pas[159]==1?"#F3BB45":"#42a084"); /* 0: green, 1: yellow */
		$('.buc').find('td').eq(5).html(GetBucModelType(pas[161])+'(0x'+pas[161].toString(16)+')')
		$('.buc').find('td').eq(6).html('0x00000'+pas[157]+pas[158]+pas[159])
		
		$('#mdBuc').find('.category').html("Model: "+GetBucModelType(pas[161])+' (0x'+pas[161].toString(16)+')')
		$('.buc-info').find('tr').eq(0).find('.box').html(pas[150]+"dBm")
		$('.buc-info').find('tr').eq(1).find('.box').html(pas[151]+"&#176 ")
		$('.buc-info').find('tr').eq(2).find('.box').html(pas[152]+"V")
		$('.buc-info').find('tr').eq(3).find('.box').html(pas[153]+"dB")
		
		$('.buc-info').find('tr').eq(0).find('i').css("color",pas[154]==1?"#42a084":"#808080"); /* 0: gray, 1: green */
		$('.buc-info').find('tr').eq(1).find('i').css("color",pas[155]==1?"#42a084":"#F3BB45"); /* 0: yellow, 1: green */
		$('.buc-info').find('tr').eq(2).find('i').css("color",pas[156]==1?"#42a084":"#808080"); /* 0: gray, 1: green */
		$('.buc-info').find('tr').eq(3).find('i').css("color",pas[157]==1?"#f97500":"#808080"); /* 0: gray, 1: red */
		$('.buc-info').find('tr').eq(5).find('i').eq(0).css("color",pas[160]==1?"#42a084":"#808080"); /* 0: gray, 1: green */
		$('.buc-info').find('tr').eq(5).find('i').eq(1).css("color",pas[158]==1?"#f97500":"#808080"); /* 0: gray, 1: red */
		$('.buc-info').find('tr').eq(4).find('i').eq(0).css("color",pas[159]==1?"#f97500":"#808080"); /* 0: gray, 1: red */ 
		
		if($('.buc-control').find('tr').eq(2).find('input').val()=="")
		{
			$('.buc-control').find('tr').eq(2).find('input').val(pas[153]) 
		}
	}else{
		$('#ledBuc').hide()
		$('.buc').find('td').eq(1).html('-')
		$('.buc').find('td').eq(5).html('-')
		$('.buc').find('td').eq(6).html('-')
	}	
}
function SendBucTxOn(){
	SendEvent(86,1,[0,])
}
function SendBucTxOff(){
	SendEvent(86,1,[1,])
}
function SendBucMinAttn(){
	SendEvent(86,2,[0,])
}
function SendBucMaxAttn(){
	SendEvent(86,2,[15,])
}
function SendBucAttn(){
	var dat = $('.buc-control').find('tr').eq(2).find('input').val();
	if(dat<0) dat = dat<0?0:dat, _noti(2,'Value is less than 0, set to 0'); ;
	if(dat>15) dat = dat>15?15:dat, _noti(2,'Value greater than 15 set to 15'); ;
	$('.buc-control').find('tr').eq(2).find('input').val(dat)
	SendEvent(86,2,[dat,])
}
function SendBucMuteOn(){
	SendEvent(86,3,[0,])
}
function SendBucMuteOFff(){
	SendEvent(86,3,[1,]) 
}

/* Redefine band type*/
function GetModelInfoString(mt, fc){
	var tmp ="";
	//console.log(mt+", "+fc+", "+(mt&0x10)+", ")
	if(((mt&0x10)==0x10)){
		var MK4SC = [4,6,7,8,10,12,18]
		var MK4FC = ['DualBand', "AutoPol", "KU", "KA"]
		tmp+="("
		tmp+="Z"
		tmp+=MK4SC[parseInt(fc/4)]
		tmp+="MK-"
		tmp+=MK4FC[(fc%4)]
		tmp+=")"
	}
	else{
		
	}
	return tmp;
}

function GetModelInfo(mt, fc){
	var tmp =0;
	if(((mt&0x10)==0x10)){
		tmp = ((fc%4)==0)?1:((fc%4)==1)?2:0
	}
	else{
		
	}
	return tmp;
}
	