$(function () {

	var sliderIdx = 0;
	var slideCount = $(".slider ul li").length;
	var slideWidth = $(".slider ul li").width();
	var slideHeight = $(".slider ul li").height();
	var slideUlWidth = slideCount * slideWidth;


	$(".slider").css({ "max-width": slideWidth, "height": slideHeight });
	$(".slider ul").css({ "width": slideUlWidth, "margin-left": -slideWidth });
	$(".slider ul li:last-child").prependTo($(".slider ul"));
	
	$(document).ready(function(){
		
		for(var idx=1;idx<slideCount;idx++){
			console.log($(".slider ul li").eq(idx).find(".indicator").html('('+idx+'/'+(slideCount-1)+')'))
		}
	});

	function moveLeft() {	  
		if(sliderIdx<=0) {
			console.log("dont over-")
			return;
		}
		$(".slider ul").stop().animate({
		  left: +slideWidth },
		500, function () {
		  $(".slider ul li:last-child").prependTo($(".slider ul"));
		  $(".slider ul").css("left", "");
		  console.log(--sliderIdx)
		});
	} 

	function moveRight() {
		if(sliderIdx>=(slideCount-1)){
			console.log("dont over+")
			return;
		}
		$(".slider ul").stop().animate({
		  left: -slideWidth },
		500, function () {
		  $(".slider ul li:first-child").appendTo($(".slider ul"));
		  $(".slider ul").css("left", "");
		  console.log(++sliderIdx)
		});
	}
	  
	function moveJump(idx) {
		if(sliderIdx>=(slideCount-1)){
			console.log("dont over+")
			return;
		}
		ndx = (sliderIdx + idx)%(slideCount-1)
		$(".slider ul").stop().animate({
		  left: -(slideWidth*ndx) },
		500, function () {
			console.log("*> "+sliderIdx)
			for (var step = 0; step < ndx; step++) {
				console.log("*>> "+step)
				$(".slider ul li:first-child").appendTo($(".slider ul"));
			}
			$(".slider ul").css("left", "");
			
			sliderIdx = (sliderIdx + ((sliderIdx + idx)%(slideCount-1)))
			console.log(sliderIdx)
		});
	}
	  
	function moveReload() {
		$(".slider ul").stop().animate({
		  left: +(slideWidth*sliderIdx) },
		500, function () {
			console.log("> "+sliderIdx)
			for (var step = 0; step < sliderIdx; step++) {
				console.log(">> "+step)
			  $(".slider ul li:last-child").prependTo($(".slider ul"));
			}
			$(".slider ul").css("left", "");
			sliderIdx=0
			console.log(sliderIdx)
		});
	}
	  
	function moveLast() {
		$(".slider ul").stop().animate({
		  left: -(slideWidth*((slideCount-1)-sliderIdx)) },
		700, function () {
			console.log("> "+sliderIdx)
			for (var step = 0; step < ((slideCount-1)-sliderIdx); step++) {
				console.log("<< "+step)
			  $(".slider ul li:first-child").appendTo($(".slider ul"));
			}
			$(".slider ul").css("left", "");
			  
			  
			sliderIdx=(slideCount-1)
			console.log(sliderIdx)
		});
		console.log(slideUlWidth)
	}

	$(".slider").find(".next").on("click", function () {moveRight();});
	$(".slider").find(".prev").on("click", function () {moveLeft();});
	$(".slider").find(".jump").on("click", function () {moveJump(2);});
	$(".slider").find(".reload").on("click", function () {moveReload();});
	$(".slider").find(".last").on("click", function () {moveLast();});
	
	$(".page").find(".next").on("click", function () {moveRight();});
	$(".page").find(".prev").on("click", function () {moveLeft();});
	$(".page").find(".jump").on("click", function () {moveJump(2);});
	$(".page").find(".reload").on("click", function () {moveReload();});
	$(".page").find(".last").on("click", function () {moveLast();});
});
