/*
* hhwang
* 20200204
 */

var staticFormat=['Статично','AHRS'];
var listOnOff=['Вкл -&gt; Откл ','Откл  -&gt; Вкл'];
var listSkewMode=['Автоматический','Точно','Установить на макс','Сброс'];

//TCP, Send data
function SendEvent(id,e,vArr){
	if(e>0){
		req="async_e"+id;
		req+=_event(e);
		for(var i=0;i<vArr.length;i++) req+=_append(vArr[i]);
		
		req += ","+guid()+","; //Exception for IE.(IE11)
		
		var xhp = new XMLHttpRequest();  
		xhp.responseText = "";
		xhp.addEventListener("error", transferFailed);
		xhp.onreadystatechange = function() {  
		if (this.readyState == 4 && this.status == 200) {
		
			ProcRecv(this.responseText);	
			if(!_start_flag)_start_flag=true;
		}};
		xhp.open("GET", "../assets/php/request.php?req="+req, true);
		xhp.send();
	}
}
function transferFailed(evt){if(!_check_err()){_add_err();_noti(3, 'Message transfer failed');_('StatConnect').innerHTML='Failed sync.'}}


var PcuErrorForMK=[
	/*00*/ "Нет ошибок",
	/*01*/ "Ошибка привода оси угла места",
	/*02*/ "Ошибка привода поперечной оси",
	/*03*/ "Ошибка привода азимутальной оси",
	/*04*/ "Ошибка энкодера поперечной оси",
	/*05*/ "Ошибка энкодера азимутальной оси",
	/*06*/ "Ошибка поиска начальной точки блока сенсоров",
	/*07*/ "Ошибка поиска начальной точки азимутально оси",
	/*08*/ "Ошибка поиска начальной точки оси поворота блока поляризации",
	/*09*/ "Ошибка IMU",
	/*10*/ "Ошибка ГНСС",
	/*11*/ "Ошибка потери управления",
	/*12*/ "Ошибка поиска",
	/*13*/ "Некорректные параметры спутника (долгота)",
	/*14*/ "Обратный",
	/*15*/ "Обратный",
	/*16*/ "Обратный",
	/*17*/ "ПЧ-MRU => Нет связи",
	/*18*/ "ПЧ-МШУ => Нет сигнала",
	/*19*/ "ПЧ-МШУ => Ошибка Питания",
	/*20*/ "ПЧ-МШУ => Ошибка Управления",
	/*21*/ "ПЧ-МШУ => Ошибка",
	/*22*/ "Контроллер двойного ПЧ диапазона в двойном режиме",
	/*23*/ "Обратный",
	/*24*/ "Обратный",
	/*25*/ "Обратный",
	/*26*/ "Обратный",
	/*27*/ "Обратный",
	/*28*/ "Обратный",
	/*29*/ "Обратный",
	/*30*/ "Обратный",
	/*31*/ "Обратный"
];

var PcuErrorForC=[
	/*00*/ "Нет ошибок",
	/*01*/ "Ошибка привода или ограничителя блока поворота поляризации ",
	/*02*/ "Ошибка привода или ограничителя поперечной оси",
	/*03*/ "Ошибка привода или ограничителя оси угла места",
	/*04*/ "Ошибка привода или ограничителя азимутальной оси",
	/*05*/ "Обратный",
	/*06*/ "Обратный",
	/*07*/ "Обратный",
	/*08*/ "Обратный",
	/*09*/ "Обратный",
	/*10*/ "Обратный",
	/*11*/ "Обратный",
	/*12*/ "Обратный",
	/*13*/ "Ошибка модуля РЧ NIM (нет данных)",
	/*14*/ "Нет ПЧ сигнала (Проблема МШУ/Нет питания МШУ/Проблема с кабелем)", 
	/*15*/ "Питание LNB за пределами допустимого диапазона",
	/*16*/ "Ошибка управления LNB тоновым сигналом",
	/*17*/ "Ошибка модуля ГНСС (Нет корректного сигнала через 20 минут после запуска)",
	/*18*/ "Передача заглушена из-за неточного сопровождения",
	/*19*/ "Ошибка поиска",
	/*20*/ "Некорректные параметры спутника (долгота)",
	/*21*/ "Поворот по оси угла места за пределами допустимого диапазона",
	/*22*/ "Поворот по оси угла места за пределами допустимого диапазона",
	/*23*/ "Нет данных с встроенного сенсора AHRS",
	/*24*/ "Обратный",
	/*25*/ "Ускорение превышает допустимые 0,5G",
	/*26*/ "Обратный",
	/*27*/ "Обратный",
	/*28*/ "Обратный",
	/*29*/ "Обратный",
	/*30*/ "Обратный",
	/*31*/ "Обратный"
];
var AcuError=[
	/*00*/ "Нет ошибок",
	/*01*/ "Обратный",
	/*02*/ "Нет соединения с БУП (Антенной)",
	/*03*/ "Обратный",
	/*04*/ "Обратный",
	/*05*/ "Обратный",
	/*06*/ "Обратный",
	/*07*/ "Обратный",
	/*08*/ "Порт МиК перезакгужается",
	/*09*/ "Порт АПЛ перезакгужается",
	/*10*/ "Порт ТПУ перезакгужается",
	/*11*/ "Обратный",
	/*12*/ "Обратный",
	/*13*/ "Обратный",
	/*14*/ "Обратный",
	/*15*/ "Обратный",
	/*16*/ "Обратный",
	/*17*/ "Обратный",
	/*18*/ "Обратный",
	/*19*/ "Обратный",
	/*20*/ "Обратный",
	/*21*/ "Обратный",
	/*22*/ "Обратный",
	/*23*/ "Обратный",
	/*24*/ "Активирован режим псевдо-ГНСС",
	/*25*/ "Обратный",
	/*26*/ "Обратный",
	/*27*/ "Обратный",
	/*28*/ "Обратный",
	/*29*/ "Обратный",
	/*30*/ "Обратный",
	/*31*/ "Обратный"
];

var FunctionCode=[
	/*00*/ "M_Z04_0",
	/*01*/ "M_Z04_1",
	/*02*/ "M_Z04_2",
	/*03*/ "M_Z04_3",
	/*04*/ "M_Z06_0",
	/*05*/ "M_Z06_1",
	/*06*/ "M_Z06_2",
	/*07*/ "M_Z06_3",
	/*08*/ "M_Z07_0",
	/*09*/ "M_Z07_1",
	/*10*/ "M_Z07_2",
	/*11*/ "M_Z07_3",
	/*12*/ "M_Z08_0",
	/*13*/ "M_Z08_1",
	/*14*/ "M_Z08_2",
	/*15*/ "M_Z08_3",
	/*16*/ "M_Z10_0",
	/*17*/ "M_Z10_1",
	/*18*/ "M_Z10_2",
	/*19*/ "M_Z10_3",
	/*20*/ "M_Z12_0",
	/*21*/ "M_Z12_1",
	/*22*/ "M_Z12_2",
	/*23*/ "M_Z12_3",
	/*24*/ "M_Z15_0",
	/*25*/ "M_Z15_1",
	/*26*/ "M_Z15_2",
	/*27*/ "M_Z15_3",
	/*28*/ "M_Z18_0",
	/*29*/ "M_Z18_1",
	/*30*/ "M_Z18_2",
	/*31*/ "M_Z18_3",
	/*32*/ "M_Z22_0",
	/*33*/ "M_Z22_1",
	/*34*/ "M_Z22_2",
	/*35*/ "M_Z22_3"
];